#' Abalone Data Set
#'
#' The number of rings is the value to predict.
#'
#' @format A dataframe with 4177 rows and 8 variables
#' \describe{
#'   \item{Length}{Longest shell measurement in mm}
#'   \item{Diameter}{perpendicular to length in mm}
#'   \item{Height}{with meat in shell in mm}
#'   \item{Whole weight}{whole abalone in grams}
#'   \item{Shucked weight}{weight of meat in grams}
#'   \item{Viscera weight}{gut weight (after bleeding) in grams}
#'   \item{Shell weight}{after being dried in grams}
#'   \item{Rings}{+1.5 gives the age in years}
#' }
#' @source Dua, D. and Graff, C. (2019). UCI Machine Learning Repository \url{http://archive.ics.uci.edu/ml/}. Irvine, CA: University of California, School of Information and Computer Science.
#'
#' @examples
#' data(abalone)
"abalone"
